package com.repair.services;

import com.baomidou.mybatisplus.extension.service.IService;
import com.repair.model.pojo.RepairRefundRecord;
import com.repair.model.result.PageUtils;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-07-20
 */
public interface RepairRefundRecordService extends IService<RepairRefundRecord> {
    int insertRepairRefundRecord(RepairRefundRecord rns);

    int updateRepairRefundRecord(RepairRefundRecord rns);

    PageUtils<RepairRefundRecord> queryPageRepairRefundRecords(int currentPage, int pageCount, String name);

    int deleteRepairRefundRecordById(int id);

    RepairRefundRecord getRepairById(int id);

    List<RepairRefundRecord> getRepairs();

    List<RepairRefundRecord> getRepairsByStatu();

}
